<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('room_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('alias', 10)->unique()->comment('房间别名关联');
            $table->string('describ', 254)->nullable()->comment('房间详细描述文本');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('room_descriptions');
    }
};
